Package net.snowflake.client.core.auth.oauth

## Class OAuthAuthorizationCodeAccessTokenProvider

- java.lang.Object
- - net.snowflake.client.core.auth.oauth.OAuthAuthorizationCodeAccessTokenProvider

All Implemented Interfaces:
  `AccessTokenProvider`

    @SnowflakeJdbcInternalApi
    public class OAuthAuthorizationCodeAccessTokenProvider
    extends Object
    implements AccessTokenProvider

### Constructor Summary

Constructors
`OAuthAuthorizationCodeAccessTokenProvider​(SessionUtilExternalBrowser.AuthExternalBrowserHandlers browserHandler, StateProvider<String> stateProvider, long browserAuthorizationTimeoutSeconds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TokenResponseDTO` `getAccessToken​(SFLoginInput loginInput)`
`String` `getDPoPPublicKey()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OAuthAuthorizationCodeAccessTokenProvider

    public OAuthAuthorizationCodeAccessTokenProvider​(SessionUtilExternalBrowser.AuthExternalBrowserHandlers browserHandler,
                                                     StateProvider<String> stateProvider,
                                                     long browserAuthorizationTimeoutSeconds)
                                              throws SFException

Throws:
  `SFException`

### Method Detail

#### getAccessToken

    public TokenResponseDTO getAccessToken​(SFLoginInput loginInput)
                                    throws SFException

Specified by:
  `getAccessToken` in interface `AccessTokenProvider`
Throws:
  `SFException`

#### getDPoPPublicKey

    public String getDPoPPublicKey()

Specified by:
  `getDPoPPublicKey` in interface `AccessTokenProvider`